net.sf.jasperreports.engine.scriptlets

## Class ScriptletFactoryContext

- java.lang.Object
- - net.sf.jasperreports.engine.scriptlets.ScriptletFactoryContext

-     public class ScriptletFactoryContext
      extends java.lang.Object

  Version:
    $Id: ScriptletFactoryContext.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptletFactoryContext(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,java.lang.Object> parameterValues)`
    `ScriptletFactoryContext(java.util.Map<java.lang.String,java.lang.Object> parameterValues, JRDataset dataset)` Deprecated. Replaced by `ScriptletFactoryContext(JasperReportsContext, JRDataset, Map)`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRDataset` | `getDataset()` Returns the dataset for which scriptlets are to be created.
    `JasperReport` | `getJasperReport()` Returns the `JasperReport` object for this context.
    `JasperReportsContext` | `getJasperReportsContext()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getParameterValues()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptletFactoryContext

          public ScriptletFactoryContext(JasperReportsContext jasperReportsContext,
                                 JRDataset dataset,
                                 java.util.Map<java.lang.String,java.lang.Object> parameterValues)

    - #### ScriptletFactoryContext

          public ScriptletFactoryContext(java.util.Map<java.lang.String,java.lang.Object> parameterValues,
                                 JRDataset dataset)

      Deprecated. Replaced by `ScriptletFactoryContext(JasperReportsContext, JRDataset, Map)`.

  - ### Method Detail

    - #### getJasperReportsContext

          public JasperReportsContext getJasperReportsContext()

    - #### getJasperReport

          public JasperReport getJasperReport()

      Returns the `JasperReport` object for this context.

      Note that this context might correspond to a subdataset in the report. Use `getDataset()` to retrieve the dataset for which scriptlets are to be created

      Returns:
        the current `JasperReport` object
      See Also:
        `getDataset()`

    - #### getParameterValues

          public java.util.Map<java.lang.String,java.lang.Object> getParameterValues()

    - #### getDataset

          public JRDataset getDataset()

      Returns the dataset for which scriptlets are to be created.
      Returns:
        a dataset

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com